#!/usr/bin/env zsh
echo "Updating antibody cache"

currpath=$(realpath $PWD)

if [ ! -d ${currpath}/compiled ]; then
  mkdir compiled
fi

antibody_bin=$(which antibody)
if [ "z${antibody_bin}" = "z" ]; then
  echo "Error: you need to install antibody first!"
  exit 1
fi

${antibody_bin} bundle < ${currpath}/antibody.plugins.txt > ${currpath}/compiled/antibody.zsh
if [ ! -d ~/.config/zsh ]; then
  mkdir -p ~/.config/zsh
fi
cp ${currpath}/compiled/antibody.zsh ~/.config/zsh/

# vim: set ft=sh et sw=0 ts=2 sts=0:
