#!/usr/bin/env zsh
echo "Updating pipenv completion"

currpath=$(realpath $PWD)

if [ ! -d ${currpath}/compiled ]; then
  mkdir compiled
fi

which pipenv > /dev/null
if [ $? -ne 0 ]; then
  echo "Error: you need to install pipenv first!"
  exit 1
fi

pipenv --completion > ${currpath}/compiled/pipenv.zsh
if [ ! -d ~/.config/zsh ]; then
  mkdir -p ~/.config/zsh
fi
cp ${currpath}/compiled/pipenv.zsh ~/.config/zsh/pipenv.zsh

# vim: set ft=sh et sw=0 ts=2 sts=0:
